function timeTodate(time){
	var date = new Date(time*1);
	Y = date.getFullYear();
	var month = date.getMonth()+1;
	M = month < 10 ? ('0'+ month) : month;
	var day = date.getDate();
	D = day < 10 ? ('0' + day) : day;
	var hour = date.getHours();
	h = hour < 10 ? ('0' + hour) : hour;
    var minutes = date.getMinutes();
	m = minutes < 10 ? ('0' + minutes) : minutes;
	return Y + '-' + M + '-' + D + ' ' + h + ':' + m;
}
function timeDiff(time){
	var diffdate = new Date().getTime() - time;
	var days = Math.floor(diffdate/(24*3600*1000));
	var leave1 = diffdate%(24*3600*1000);   
	var hours = Math.floor(leave1/(3600*1000));  

	var leave2 = leave1%(3600*1000);
	var minutes = Math.floor(leave2/(60*1000));
	var leave3 = leave2%(60*1000);
	var seconds = Math.round(leave3/1000);
	return (days && days > 0) ? timeTodate(time) : (hours && hours > 0) ? hours + "小时前" : (minutes && minutes > 0) ? minutes + "分钟前" : "刚刚";
}
var emojiConf = [
	{emojiSrc:"ee_1",emojiDemo:"[):]"},
	{emojiSrc:"ee_2",emojiDemo:"[:D]"},
	{emojiSrc:"ee_3",emojiDemo:"[;)]"},
	{emojiSrc:"ee_4",emojiDemo:"[:-o]"},
	{emojiSrc:"ee_5",emojiDemo:"[:p]"},
	{emojiSrc:"ee_6",emojiDemo:"[(H)]"},
	{emojiSrc:"ee_7",emojiDemo:"[:@]"},
	{emojiSrc:"ee_8",emojiDemo:"[:s]"},
	{emojiSrc:"ee_9",emojiDemo:"[:$]"},
	{emojiSrc:"ee_10",emojiDemo:"[:(]"},
	{emojiSrc:"ee_11",emojiDemo:"[:'(]"},
	{emojiSrc:"ee_12",emojiDemo:"[:|]"},
	{emojiSrc:"ee_13",emojiDemo:"[(a)]"},
	{emojiSrc:"ee_14",emojiDemo:"[8o|]"},
	{emojiSrc:"ee_15",emojiDemo:"[8-|]"},
	{emojiSrc:"ee_16",emojiDemo:"[+o(]"},
	{emojiSrc:"ee_17",emojiDemo:"[<o)]"},
	{emojiSrc:"ee_18",emojiDemo:"[|-)]"},
	{emojiSrc:"ee_19",emojiDemo:"[*-)]"},
	{emojiSrc:"ee_20",emojiDemo:"[:-#]"},
	{emojiSrc:"ee_21",emojiDemo:"[:-*]"},
	{emojiSrc:"ee_22",emojiDemo:"[^o)]"},
	{emojiSrc:"ee_23",emojiDemo:"[8-)]"},
	{emojiSrc:"ee_24",emojiDemo:"[(|)]"},
	{emojiSrc:"ee_25",emojiDemo:"[(u)]"},
	{emojiSrc:"ee_26",emojiDemo:"[(S)]"},
	{emojiSrc:"ee_27",emojiDemo:"[(*)]"},
	{emojiSrc:"ee_28",emojiDemo:"[(#)]"},
	{emojiSrc:"ee_29",emojiDemo:"[(R)]"},
	{emojiSrc:"ee_30",emojiDemo:"[({)]"},
	{emojiSrc:"ee_31",emojiDemo:"[(})]"},
	{emojiSrc:"ee_32",emojiDemo:"[(k)]"},
	{emojiSrc:"ee_33",emojiDemo:"[(F)]"},
	{emojiSrc:"ee_34",emojiDemo:"[(W)]"},
	{emojiSrc:"ee_35",emojiDemo:"[(D)]"}
];
function likeNews(e){
	if($(e).hasClass("over") && !$(e).hasClass("active")){
		CMSSDKNative.likeNews(function(){
			$(e).addClass("active");
			$(e).find("[dz-bind]").html(parseInt($(e).find("[dz-bind]").html()) + 1);
		});
	}else{
		return;
	}
}
function getCommonHtml(page){
	var minHeight = window.innerHeight - 27 - document.getElementById("allComments").offsetHeight;
	$(".detail-page .common-content").css("min-height",minHeight+"px");
	var loading = false;
	var itemsPerLoad = 10;

	var pagecout = 0;
	var getPosts = function (pagenum){	
		var offset = pagenum * itemsPerLoad;
		CMSSDKNative.getComments(offset, itemsPerLoad, function(resp){
			var data = resp.comments ? resp.comments : [];
			var commentsCount = resp.commentsCount ? resp.commentsCount : 0;
			if(commentsCount - 0 > 10000 ){
				commentsCount = '10000+';
			}
			if(data.length > 0){
				document.getElementById("allComments").innerHTML = "全部评论(" + commentsCount + ")";
				if(offset > commentsCount){
					$.detachInfiniteScroll($('.infinite-scroll'));
					$('.infinite-scroll-preloader').css("display", "none");
					$(".dz-loading-over div").text("加载完成！");
					$(".dz-loading-over").css("display","block");
					return;
				}
				var html = "";
				$.each(data,function(index, item){
					if(index < itemsPerLoad){
						var newCom = item.content.replace(/\[[^\[\]$]*\]/g, function(match){
						    var replaceStr = '';
						    for(var i=0; i<emojiConf.length; i++){
						        if (match === emojiConf[i].emojiDemo) {
						          	replaceStr += "<img src='./img/"+imgItem.emojiSrc+".png' />";
						        }
						    }
					      	return replaceStr === '' ? match : replaceStr
					    });

						html += '<li><div class="header"><span class="headimg"><img src="'+ ((item.avatar && item.avatar != "") ? item.avatar : "./img/default_user.png") +'"></span><span>'+ (typeof item.nickname == "undefined" ? "游客" : item.nickname) +'</span></div><div class="center"><span>'+ timeDiff(item.updateAt) + '</span></div><div class="bottom">'+ newCom +'</div></li>';
					}
				});
				$(".common-content ul").append(html);
				if(resp.comments.length < itemsPerLoad){
					$.detachInfiniteScroll($('.infinite-scroll'));
					$('.infinite-scroll-preloader').css("display", "none");
					$(".dz-loading-over div").text("加载完成！");
					$(".dz-loading-over").css("display","block");
				}
				$(".dz-loading-over img").addClass("img-none");
			}else{
				$.detachInfiniteScroll($('.infinite-scroll'));
				$('.infinite-scroll-preloader').css("display", "none");
				if(pagenum <= 0){
					$(".dz-loading-over div").text("来都来了，说几句呗！");
					$(".dz-loading-over img").removeClass("img-none");
				}else{
					$(".dz-loading-over div").text("加载完成！");
					$(".dz-loading-over img").addClass("img-none");
					
				}
				$(".dz-loading-over").css("display","block");
			}	
		});
		pagecout = pagenum + 1;
	};
    getPosts(pagecout);

    $(page).on('infinite', function(){
    	if (loading){ return;}
    	loading = true;
	    setTimeout(function() {
	        loading = false;
	        getPosts(pagecout);
	        $.refreshScroller();
	    }, 100);

    });
    
}
function getDetailHtml(data){
	var attachments = function(data,s){
		var html = s;
		html = html.replace(/{{item}}/g, data);
		return html;
	};
	var data = data;
	if (data.updateAt) {
		data.updateAt = timeDiff(data.updateAt);
	}
	$.each($("[dz-bind]"), function(index, item){
		var getAttr = $(item).attr("dz-bind").split(".");
		$(item).html(data[getAttr[1]]);
	});

	
	$.each($("[dz-class]"), function(index, item){
		var getAttr = $(item).attr("dz-class");
		var splitdata = /^{'(.*)':(.*)}$/g.exec(getAttr);
		if(data[splitdata[2].split('.')[1]]){
			$(item).addClass(splitdata[1]);
		}
	});
	$.each($("[dz-repeat]"), function(index, item){
		var getAttr = $(item).attr("dz-repeat").split(".");
		var els = $(item).html();
		var html = "";
		if(data[getAttr[1]] && data[getAttr[1]].length > 0){
			$.each(data[getAttr[1]], function(index, item){
				var changeels = attachments(item,els);
				html += changeels;
			})
		}
		$(item).html(html);
		
	});
}

$(function(){
	$(document).on("pageInit", ".detail-page", function(e, id, page){
		CMSSDKNative.getNewsDetails(function(detailData) {
			getDetailHtml(detailData);
			getCommonHtml(page);
		});
	});

	$.init();
});